Sample Tracking Information
Use this endpoint to view sample carrier tracking information.
REST Endpoint
GET /restapi/v1/sample-tracking-information/:carrierCode/:case
List of Carrier Codes and Associated Cases
| Carrier Code | Sample Case |
|---|---|
| ups | 2nd_day_air_delivered |
| ups | world_wide_express_delivered |
| ups | ground_delivered |
| ups | next_day_air_saver_origin_scan |
| ups | next_day_air_saver_2nd_delivery_attempt |
| ups | invalid_tracking_number |
| ups | no_tracking_information_available |
| fedex | shipment_information_sent_to_fedex |
| fedex | tendered |
| fedex | picked_up |
| fedex | arrived_at_fedex_location |
| fedex | at_local_fedex_facility |
| fedex | at_destination_sort_facility |
| fedex | departed_fedex_location |
| fedex | on_fedex_vehicle_for_delivery |
| fedex | international_shipment_released |
| fedex | customer_not_available_or_business_closed |
| fedex | local_delivery_restriction |
| fedex | incorrect_address |
| fedex | unable_to_deliver |
| fedex | return_to_sender |
| fedex | international_clearance_delay |
| fedex | delivered |
| fedex | hold_at_location |
| fedex | shipment_canceled |
Response Status Code
200 OK
Response Content Type
application/json
Response JSON Example for UPS
{
"carrier": "ups",
"upsTrackingInformation": {
...
}
}
Response JSON Example for FedEx
{
"carrier": "fedex",
"fedexTrackingInformation": {
...
}
}
Response JSON Example for USPS (Stamps.com)
{
"carrier": "stamps",
"trackingInformationFormat": "stamps",
"stampsTrackingInformation": {
...
}
}